org.apache.ignite.internal.cache.query.index.sorted.inline

## Interface InlineIndex

All Superinterfaces:
  Index, SortedSegmentedIndex

All Known Implementing Classes:
  InlineIndexImpl

    public interface InlineIndex
    extends SortedSegmentedIndex

Represents an index that inlines some of index keys.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `created()` `true` if index is created and `false` if it is restored from disk.
`int` `inlineSize()`
`InlineIndexTree` `segment(int segment)`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.SortedSegmentedIndex

`count, count, find, findFirst, findLast, segmentsCount, totalCount`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.Index

`canHandle, destroy, id, name, onUpdate, unwrap`

### Method Detail

#### inlineSize

    int inlineSize()

Returns:
  amount of bytes to store inlined index keys.

#### created

    boolean created()

`true` if index is created and `false` if it is restored from disk.

#### segment

    InlineIndexTree segment(int segment)

Parameters:
  `segment` - Number of tree segment.
Returns:
  Tree segment for specified number.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022